  local file = io.open (m_simpleTV.MainScriptDir .. "user/tvplaylists/misc/masscan/cdssvr.txt")
       
  if file == nil then
       m_simpleTV.OSD.ShowMessage("CDS error: cdssvr.txt not found",255,10)
       dofile(m_simpleTV.MainScriptDir .. "user/tvplaylists/cds/doscan.lua") 
      return
   end
       
       m_simpleTV.User.CDS.SvrTable = {}

       for line in file:lines() do
         local port,ip = line:match('open tcp (.-) (.-) ')
           if ip then
             table.insert(m_simpleTV.User.CDS.SvrTable, ip .. ':' .. port)
           end
       end

       file:close()